package in.cdac.medinfo.csnotk.csnolib.disb.model;

import java.io.Serializable;
import java.util.List;


public class RecordStatus implements Serializable {
	private static final long serialVersionUID = 1L;

	private int id;

	private String name;
	
	public RecordStatus() {
	}

	public RecordStatus(String name) {
		this.name = name;
	}

	public RecordStatus(int id, String name) {
		super();
		this.id = id;
		this.name = name;
	}

	private List<MedicineDetail> medicineDetails;

	private List<GenericDrug> genericDrugs;

	private List<SubstanceDetail> substanceDetails;

	private List<MedicinalProduct> medicinalProducts;
	
	private List<Manufacturer> manufacturers;
	
	public List<Manufacturer> getManufacturers() {
		return manufacturers;
	}

	public void setManufacturers(List<Manufacturer> manufacturers) {
		this.manufacturers = manufacturers;
	}


	public List<MedicinalProduct> getMedicinalProducts() {
		return medicinalProducts;
	}

	public void setMedicinalProducts(List<MedicinalProduct> medicinalProducts) {
		this.medicinalProducts = medicinalProducts;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	
	public List<MedicineDetail> getMedicineDetails() {
		return medicineDetails;
	}

	public void setMedicineDetails(List<MedicineDetail> medicineDetails) {
		this.medicineDetails = medicineDetails;
	}

	public List<GenericDrug> getGenericDrugs() {
		return genericDrugs;
	}

	public void setGenericDrugs(List<GenericDrug> genericDrugs) {
		this.genericDrugs = genericDrugs;
	}
	public List<SubstanceDetail> getSubstanceDetails() {
		return substanceDetails;
	}

	public void setSubstanceDetails(List<SubstanceDetail> substanceDetails) {
		this.substanceDetails = substanceDetails;
	}
	
	
}